<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers" data-namespace-typo3-fluid="true">
<f:if condition="{gallery.rows}">
	<f:switch expression="{data.layout}">
		<f:case value="100">
			<f:comment>Output as flexslider</f:comment>
			<f:asset.css identifier="swiper" href="EXT:vt9/Resources/Public/Css/swiper-bundle.min.css" />
			<f:asset.css identifier="swipercustom" priority="1">
				p.swiper-caption {
					position: relative;
					left: 1rem;
					bottom: 4rem;
					background: rgba(255,255,255,0.5);
					width: 75%;
					padding: 1rem;
				}
				@media screen and (max-width: 460px){
					p.swiper-caption {
						position: static;
						background: rgba(0,0,0,0.2);
						width: 100%;
						margin-bottom: 2rem;
					}
				}
			</f:asset.css>
			<f:asset.script identifier="swiper" src="EXT:vt9/Resources/Public/JavaScript/swiper-bundle.min.js" />
			<f:asset.script identifier="swiperinit">
				var mySwiper = new Swiper('.swiper-container', {
					autoplay: {
						delay: 5000,
					},

					// Optional parameters
					direction: 'horizontal',
					loop: true,

					// If we need pagination
					pagination: {
						el: '.swiper-pagination',
					},

					// Navigation arrows
					navigation: {
						nextEl: '.swiper-button-next',
						prevEl: '.swiper-button-prev',
					},


				})
			</f:asset.script>
			<div class="swiper-container">
				<div class="swiper-wrapper">
					<f:for each="{files}" as="file">
						<div class="swiper-slide">
							<f:image image="{file}" alt="{file.alternative}"/>
							<f:if condition="{file.description}">
								<p class="swiper-caption">{file.description}</p>
							</f:if>
 						</div>
					</f:for>
				</div>
				<!-- If we need pagination -->
				<div class="swiper-pagination"></div>

				<!-- If we need navigation buttons -->
				<div class="swiper-button-prev"></div>
				<div class="swiper-button-next"></div>


			</div>

		</f:case>
		<f:defaultCase>
			<div class="ce-gallery{f:if(condition: data.imageborder, then: ' ce-border')}" data-ce-columns="{gallery.count.columns}" data-ce-images="{gallery.count.files}">
				<f:if condition="{gallery.position.horizontal} == 'center'">
					<div class="ce-outer">
						<div class="ce-inner">
				</f:if>
				<f:for each="{gallery.rows}" as="row">
					<div class="ce-row">
						<f:for each="{row.columns}" as="column">
							<f:if condition="{column.media}">
								<div class="ce-column">
									<f:render partial="Media/Type" arguments="{file: column.media, dimensions: column.dimensions, data: data, settings: settings}" />
								</div>
							</f:if>
						</f:for>
					</div>
				</f:for>
				<f:if condition="{gallery.position.horizontal} == 'center'">
			</div>
			</div>
		</f:if>
		</div>
</f:defaultCase>
</f:switch>

</f:if>
</html>
